/**
 * @license
 * Copyright 2019 Google LLC
 * SPDX-License-Identifier: Apache-2.0
 */

/**
 * @fileoverview Type definitions for Blockly Messages.
 * @author samelh@google.com (Sam El-Husseini)
 */


declare namespace Blockly.Msg {
  let ADD_COMMENT : string ;
  let CANNOT_DELETE_VARIABLE_PROCEDURE : string ;
  let CHANGE_VALUE_TITLE : string ;
  let CLEAN_UP : string ;
  let COLLAPSED_WARNINGS_WARNING : string ;
  let COLLAPSE_ALL : string ;
  let COLLAPSE_BLOCK : string ;
  let COLOUR_BLEND_COLOUR1 : string ;
  let COLOUR_BLEND_COLOUR2 : string ;
  let COLOUR_BLEND_HELPURL : string ;
  let COLOUR_BLEND_RATIO : string ;
  let COLOUR_BLEND_TITLE : string ;
  let COLOUR_BLEND_TOOLTIP : string ;
  let COLOUR_HUE : string ;
  let COLOUR_PICKER_HELPURL : string ;
  let COLOUR_PICKER_TOOLTIP : string ;
  let COLOUR_RANDOM_HELPURL : string ;
  let COLOUR_RANDOM_TITLE : string ;
  let COLOUR_RANDOM_TOOLTIP : string ;
  let COLOUR_RGB_BLUE : string ;
  let COLOUR_RGB_GREEN : string ;
  let COLOUR_RGB_HELPURL : string ;
  let COLOUR_RGB_RED : string ;
  let COLOUR_RGB_TITLE : string ;
  let COLOUR_RGB_TOOLTIP : string ;
  let CONTROLS_FLOW_STATEMENTS_HELPURL : string ;
  let CONTROLS_FLOW_STATEMENTS_OPERATOR_BREAK : string ;
  let CONTROLS_FLOW_STATEMENTS_OPERATOR_CONTINUE : string ;
  let CONTROLS_FLOW_STATEMENTS_TOOLTIP_BREAK : string ;
  let CONTROLS_FLOW_STATEMENTS_TOOLTIP_CONTINUE : string ;
  let CONTROLS_FLOW_STATEMENTS_WARNING : string ;
  let CONTROLS_FOREACH_HELPURL : string ;
  let CONTROLS_FOREACH_INPUT_DO : string ;
  let CONTROLS_FOREACH_TITLE : string ;
  let CONTROLS_FOREACH_TOOLTIP : string ;
  let CONTROLS_FOR_HELPURL : string ;
  let CONTROLS_FOR_INPUT_DO : string ;
  let CONTROLS_FOR_TITLE : string ;
  let CONTROLS_FOR_TOOLTIP : string ;
  let CONTROLS_IF_ELSEIF_TITLE_ELSEIF : string ;
  let CONTROLS_IF_ELSEIF_TOOLTIP : string ;
  let CONTROLS_IF_ELSE_TITLE_ELSE : string ;
  let CONTROLS_IF_ELSE_TOOLTIP : string ;
  let CONTROLS_IF_HELPURL : string ;
  let CONTROLS_IF_IF_TITLE_IF : string ;
  let CONTROLS_IF_IF_TOOLTIP : string ;
  let CONTROLS_IF_MSG_ELSE : string ;
  let CONTROLS_IF_MSG_ELSEIF : string ;
  let CONTROLS_IF_MSG_IF : string ;
  let CONTROLS_IF_MSG_THEN : string ;
  let CONTROLS_IF_TOOLTIP_1 : string ;
  let CONTROLS_IF_TOOLTIP_2 : string ;
  let CONTROLS_IF_TOOLTIP_3 : string ;
  let CONTROLS_IF_TOOLTIP_4 : string ;
  let CONTROLS_REPEAT_HELPURL : string ;
  let CONTROLS_REPEAT_INPUT_DO : string ;
  let CONTROLS_REPEAT_TITLE : string ;
  let CONTROLS_REPEAT_TOOLTIP : string ;
  let CONTROLS_WHILEUNTIL_HELPURL : string ;
  let CONTROLS_WHILEUNTIL_INPUT_DO : string ;
  let CONTROLS_WHILEUNTIL_OPERATOR_UNTIL : string ;
  let CONTROLS_WHILEUNTIL_OPERATOR_WHILE : string ;
  let CONTROLS_WHILEUNTIL_TOOLTIP_UNTIL : string ;
  let CONTROLS_WHILEUNTIL_TOOLTIP_WHILE : string ;
  let DELETE_ALL_BLOCKS : string ;
  let DELETE_BLOCK : string ;
  let DELETE_VARIABLE : string ;
  let DELETE_VARIABLE_CONFIRMATION : string ;
  let DELETE_X_BLOCKS : string ;
  let DISABLE_BLOCK : string ;
  let DUPLICATE_BLOCK : string ;
  let DUPLICATE_COMMENT : string ;
  let ENABLE_BLOCK : string ;
  let EXPAND_ALL : string ;
  let EXPAND_BLOCK : string ;
  let EXTERNAL_INPUTS : string ;
  let HELP : string ;
  let INLINE_INPUTS : string ;
  let IOS_CANCEL : string ;
  let IOS_ERROR : string ;
  let IOS_OK : string ;
  let IOS_PROCEDURES_ADD_INPUT : string ;
  let IOS_PROCEDURES_ALLOW_STATEMENTS : string ;
  let IOS_PROCEDURES_DUPLICATE_INPUTS_ERROR : string ;
  let IOS_PROCEDURES_INPUTS : string ;
  let IOS_VARIABLES_ADD_BUTTON : string ;
  let IOS_VARIABLES_ADD_VARIABLE : string ;
  let IOS_VARIABLES_DELETE_BUTTON : string ;
  let IOS_VARIABLES_EMPTY_NAME_ERROR : string ;
  let IOS_VARIABLES_RENAME_BUTTON : string ;
  let IOS_VARIABLES_VARIABLE_NAME : string ;
  let LISTS_CREATE_EMPTY_HELPURL : string ;
  let LISTS_CREATE_EMPTY_TITLE : string ;
  let LISTS_CREATE_EMPTY_TOOLTIP : string ;
  let LISTS_CREATE_WITH_CONTAINER_TITLE_ADD : string ;
  let LISTS_CREATE_WITH_CONTAINER_TOOLTIP : string ;
  let LISTS_CREATE_WITH_HELPURL : string ;
  let LISTS_CREATE_WITH_INPUT_WITH : string ;
  let LISTS_CREATE_WITH_ITEM_TITLE : string ;
  let LISTS_CREATE_WITH_ITEM_TOOLTIP : string ;
  let LISTS_CREATE_WITH_TOOLTIP : string ;
  let LISTS_GET_INDEX_FIRST : string ;
  let LISTS_GET_INDEX_FROM_END : string ;
  let LISTS_GET_INDEX_FROM_START : string ;
  let LISTS_GET_INDEX_GET : string ;
  let LISTS_GET_INDEX_GET_REMOVE : string ;
  let LISTS_GET_INDEX_HELPURL : string ;
  let LISTS_GET_INDEX_INPUT_IN_LIST : string ;
  let LISTS_GET_INDEX_LAST : string ;
  let LISTS_GET_INDEX_RANDOM : string ;
  let LISTS_GET_INDEX_REMOVE : string ;
  let LISTS_GET_INDEX_TAIL : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_FIRST : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_FROM : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_LAST : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_RANDOM : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_FIRST : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_FROM : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_LAST : string ;
  let LISTS_GET_INDEX_TOOLTIP_GET_REMOVE_RANDOM : string ;
  let LISTS_GET_INDEX_TOOLTIP_REMOVE_FIRST : string ;
  let LISTS_GET_INDEX_TOOLTIP_REMOVE_FROM : string ;
  let LISTS_GET_INDEX_TOOLTIP_REMOVE_LAST : string ;
  let LISTS_GET_INDEX_TOOLTIP_REMOVE_RANDOM : string ;
  let LISTS_GET_SUBLIST_END_FROM_END : string ;
  let LISTS_GET_SUBLIST_END_FROM_START : string ;
  let LISTS_GET_SUBLIST_END_LAST : string ;
  let LISTS_GET_SUBLIST_HELPURL : string ;
  let LISTS_GET_SUBLIST_INPUT_IN_LIST : string ;
  let LISTS_GET_SUBLIST_START_FIRST : string ;
  let LISTS_GET_SUBLIST_START_FROM_END : string ;
  let LISTS_GET_SUBLIST_START_FROM_START : string ;
  let LISTS_GET_SUBLIST_TAIL : string ;
  let LISTS_GET_SUBLIST_TOOLTIP : string ;
  let LISTS_HUE : string ;
  let LISTS_INDEX_FROM_END_TOOLTIP : string ;
  let LISTS_INDEX_FROM_START_TOOLTIP : string ;
  let LISTS_INDEX_OF_FIRST : string ;
  let LISTS_INDEX_OF_HELPURL : string ;
  let LISTS_INDEX_OF_INPUT_IN_LIST : string ;
  let LISTS_INDEX_OF_LAST : string ;
  let LISTS_INDEX_OF_TOOLTIP : string ;
  let LISTS_INLIST : string ;
  let LISTS_ISEMPTY_HELPURL : string ;
  let LISTS_ISEMPTY_TITLE : string ;
  let LISTS_ISEMPTY_TOOLTIP : string ;
  let LISTS_LENGTH_HELPURL : string ;
  let LISTS_LENGTH_TITLE : string ;
  let LISTS_LENGTH_TOOLTIP : string ;
  let LISTS_REPEAT_HELPURL : string ;
  let LISTS_REPEAT_TITLE : string ;
  let LISTS_REPEAT_TOOLTIP : string ;
  let LISTS_REVERSE_HELPURL : string ;
  let LISTS_REVERSE_MESSAGE0 : string ;
  let LISTS_REVERSE_TOOLTIP : string ;
  let LISTS_SET_INDEX_HELPURL : string ;
  let LISTS_SET_INDEX_INPUT_IN_LIST : string ;
  let LISTS_SET_INDEX_INPUT_TO : string ;
  let LISTS_SET_INDEX_INSERT : string ;
  let LISTS_SET_INDEX_SET : string ;
  let LISTS_SET_INDEX_TOOLTIP_INSERT_FIRST : string ;
  let LISTS_SET_INDEX_TOOLTIP_INSERT_FROM : string ;
  let LISTS_SET_INDEX_TOOLTIP_INSERT_LAST : string ;
  let LISTS_SET_INDEX_TOOLTIP_INSERT_RANDOM : string ;
  let LISTS_SET_INDEX_TOOLTIP_SET_FIRST : string ;
  let LISTS_SET_INDEX_TOOLTIP_SET_FROM : string ;
  let LISTS_SET_INDEX_TOOLTIP_SET_LAST : string ;
  let LISTS_SET_INDEX_TOOLTIP_SET_RANDOM : string ;
  let LISTS_SORT_HELPURL : string ;
  let LISTS_SORT_ORDER_ASCENDING : string ;
  let LISTS_SORT_ORDER_DESCENDING : string ;
  let LISTS_SORT_TITLE : string ;
  let LISTS_SORT_TOOLTIP : string ;
  let LISTS_SORT_TYPE_IGNORECASE : string ;
  let LISTS_SORT_TYPE_NUMERIC : string ;
  let LISTS_SORT_TYPE_TEXT : string ;
  let LISTS_SPLIT_HELPURL : string ;
  let LISTS_SPLIT_LIST_FROM_TEXT : string ;
  let LISTS_SPLIT_TEXT_FROM_LIST : string ;
  let LISTS_SPLIT_TOOLTIP_JOIN : string ;
  let LISTS_SPLIT_TOOLTIP_SPLIT : string ;
  let LISTS_SPLIT_WITH_DELIMITER : string ;
  let LOGIC_BOOLEAN_FALSE : string ;
  let LOGIC_BOOLEAN_HELPURL : string ;
  let LOGIC_BOOLEAN_TOOLTIP : string ;
  let LOGIC_BOOLEAN_TRUE : string ;
  let LOGIC_COMPARE_HELPURL : string ;
  let LOGIC_COMPARE_TOOLTIP_EQ : string ;
  let LOGIC_COMPARE_TOOLTIP_GT : string ;
  let LOGIC_COMPARE_TOOLTIP_GTE : string ;
  let LOGIC_COMPARE_TOOLTIP_LT : string ;
  let LOGIC_COMPARE_TOOLTIP_LTE : string ;
  let LOGIC_COMPARE_TOOLTIP_NEQ : string ;
  let LOGIC_HUE : string ;
  let LOGIC_NEGATE_HELPURL : string ;
  let LOGIC_NEGATE_TITLE : string ;
  let LOGIC_NEGATE_TOOLTIP : string ;
  let LOGIC_NULL : string ;
  let LOGIC_NULL_HELPURL : string ;
  let LOGIC_NULL_TOOLTIP : string ;
  let LOGIC_OPERATION_AND : string ;
  let LOGIC_OPERATION_HELPURL : string ;
  let LOGIC_OPERATION_OR : string ;
  let LOGIC_OPERATION_TOOLTIP_AND : string ;
  let LOGIC_OPERATION_TOOLTIP_OR : string ;
  let LOGIC_TERNARY_CONDITION : string ;
  let LOGIC_TERNARY_HELPURL : string ;
  let LOGIC_TERNARY_IF_FALSE : string ;
  let LOGIC_TERNARY_IF_TRUE : string ;
  let LOGIC_TERNARY_TOOLTIP : string ;
  let LOOPS_HUE : string ;
  let MATH_ADDITION_SYMBOL : string ;
  let MATH_ARITHMETIC_HELPURL : string ;
  let MATH_ARITHMETIC_TOOLTIP_ADD : string ;
  let MATH_ARITHMETIC_TOOLTIP_DIVIDE : string ;
  let MATH_ARITHMETIC_TOOLTIP_MINUS : string ;
  let MATH_ARITHMETIC_TOOLTIP_MULTIPLY : string ;
  let MATH_ARITHMETIC_TOOLTIP_POWER : string ;
  let MATH_ATAN2_HELPURL : string ;
  let MATH_ATAN2_TITLE : string ;
  let MATH_ATAN2_TOOLTIP : string ;
  let MATH_CHANGE_HELPURL : string ;
  let MATH_CHANGE_TITLE : string ;
  let MATH_CHANGE_TITLE_ITEM : string ;
  let MATH_CHANGE_TOOLTIP : string ;
  let MATH_CONSTANT_HELPURL : string ;
  let MATH_CONSTANT_TOOLTIP : string ;
  let MATH_CONSTRAIN_HELPURL : string ;
  let MATH_CONSTRAIN_TITLE : string ;
  let MATH_CONSTRAIN_TOOLTIP : string ;
  let MATH_DIVISION_SYMBOL : string ;
  let MATH_HUE : string ;
  let MATH_IS_DIVISIBLE_BY : string ;
  let MATH_IS_EVEN : string ;
  let MATH_IS_NEGATIVE : string ;
  let MATH_IS_ODD : string ;
  let MATH_IS_POSITIVE : string ;
  let MATH_IS_PRIME : string ;
  let MATH_IS_TOOLTIP : string ;
  let MATH_IS_WHOLE : string ;
  let MATH_MODULO_HELPURL : string ;
  let MATH_MODULO_TITLE : string ;
  let MATH_MODULO_TOOLTIP : string ;
  let MATH_MULTIPLICATION_SYMBOL : string ;
  let MATH_NUMBER_HELPURL : string ;
  let MATH_NUMBER_TOOLTIP : string ;
  let MATH_ONLIST_HELPURL : string ;
  let MATH_ONLIST_OPERATOR_AVERAGE : string ;
  let MATH_ONLIST_OPERATOR_MAX : string ;
  let MATH_ONLIST_OPERATOR_MEDIAN : string ;
  let MATH_ONLIST_OPERATOR_MIN : string ;
  let MATH_ONLIST_OPERATOR_MODE : string ;
  let MATH_ONLIST_OPERATOR_RANDOM : string ;
  let MATH_ONLIST_OPERATOR_STD_DEV : string ;
  let MATH_ONLIST_OPERATOR_SUM : string ;
  let MATH_ONLIST_TOOLTIP_AVERAGE : string ;
  let MATH_ONLIST_TOOLTIP_MAX : string ;
  let MATH_ONLIST_TOOLTIP_MEDIAN : string ;
  let MATH_ONLIST_TOOLTIP_MIN : string ;
  let MATH_ONLIST_TOOLTIP_MODE : string ;
  let MATH_ONLIST_TOOLTIP_RANDOM : string ;
  let MATH_ONLIST_TOOLTIP_STD_DEV : string ;
  let MATH_ONLIST_TOOLTIP_SUM : string ;
  let MATH_POWER_SYMBOL : string ;
  let MATH_RANDOM_FLOAT_HELPURL : string ;
  let MATH_RANDOM_FLOAT_TITLE_RANDOM : string ;
  let MATH_RANDOM_FLOAT_TOOLTIP : string ;
  let MATH_RANDOM_INT_HELPURL : string ;
  let MATH_RANDOM_INT_TITLE : string ;
  let MATH_RANDOM_INT_TOOLTIP : string ;
  let MATH_ROUND_HELPURL : string ;
  let MATH_ROUND_OPERATOR_ROUND : string ;
  let MATH_ROUND_OPERATOR_ROUNDDOWN : string ;
  let MATH_ROUND_OPERATOR_ROUNDUP : string ;
  let MATH_ROUND_TOOLTIP : string ;
  let MATH_SINGLE_HELPURL : string ;
  let MATH_SINGLE_OP_ABSOLUTE : string ;
  let MATH_SINGLE_OP_ROOT : string ;
  let MATH_SINGLE_TOOLTIP_ABS : string ;
  let MATH_SINGLE_TOOLTIP_EXP : string ;
  let MATH_SINGLE_TOOLTIP_LN : string ;
  let MATH_SINGLE_TOOLTIP_LOG10 : string ;
  let MATH_SINGLE_TOOLTIP_NEG : string ;
  let MATH_SINGLE_TOOLTIP_POW10 : string ;
  let MATH_SINGLE_TOOLTIP_ROOT : string ;
  let MATH_SUBTRACTION_SYMBOL : string ;
  let MATH_TRIG_ACOS : string ;
  let MATH_TRIG_ASIN : string ;
  let MATH_TRIG_ATAN : string ;
  let MATH_TRIG_COS : string ;
  let MATH_TRIG_HELPURL : string ;
  let MATH_TRIG_SIN : string ;
  let MATH_TRIG_TAN : string ;
  let MATH_TRIG_TOOLTIP_ACOS : string ;
  let MATH_TRIG_TOOLTIP_ASIN : string ;
  let MATH_TRIG_TOOLTIP_ATAN : string ;
  let MATH_TRIG_TOOLTIP_COS : string ;
  let MATH_TRIG_TOOLTIP_SIN : string ;
  let MATH_TRIG_TOOLTIP_TAN : string ;
  let NEW_COLOUR_VARIABLE : string ;
  let NEW_NUMBER_VARIABLE : string ;
  let NEW_STRING_VARIABLE : string ;
  let NEW_VARIABLE : string ;
  let NEW_VARIABLE_TITLE : string ;
  let NEW_VARIABLE_TYPE_TITLE : string ;
  let ORDINAL_NUMBER_SUFFIX : string ;
  let PROCEDURES_ALLOW_STATEMENTS : string ;
  let PROCEDURES_BEFORE_PARAMS : string ;
  let PROCEDURES_CALLNORETURN_HELPURL : string ;
  let PROCEDURES_CALLNORETURN_TOOLTIP : string ;
  let PROCEDURES_CALLRETURN_HELPURL : string ;
  let PROCEDURES_CALLRETURN_TOOLTIP : string ;
  let PROCEDURES_CALL_BEFORE_PARAMS : string ;
  let PROCEDURES_CREATE_DO : string ;
  let PROCEDURES_DEFNORETURN_COMMENT : string ;
  let PROCEDURES_DEFNORETURN_DO : string ;
  let PROCEDURES_DEFNORETURN_HELPURL : string ;
  let PROCEDURES_DEFNORETURN_PROCEDURE : string ;
  let PROCEDURES_DEFNORETURN_TITLE : string ;
  let PROCEDURES_DEFNORETURN_TOOLTIP : string ;
  let PROCEDURES_DEFRETURN_COMMENT : string ;
  let PROCEDURES_DEFRETURN_DO : string ;
  let PROCEDURES_DEFRETURN_HELPURL : string ;
  let PROCEDURES_DEFRETURN_PROCEDURE : string ;
  let PROCEDURES_DEFRETURN_RETURN : string ;
  let PROCEDURES_DEFRETURN_TITLE : string ;
  let PROCEDURES_DEFRETURN_TOOLTIP : string ;
  let PROCEDURES_DEF_DUPLICATE_WARNING : string ;
  let PROCEDURES_HIGHLIGHT_DEF : string ;
  let PROCEDURES_HUE : string ;
  let PROCEDURES_IFRETURN_HELPURL : string ;
  let PROCEDURES_IFRETURN_TOOLTIP : string ;
  let PROCEDURES_IFRETURN_WARNING : string ;
  let PROCEDURES_MUTATORARG_TITLE : string ;
  let PROCEDURES_MUTATORARG_TOOLTIP : string ;
  let PROCEDURES_MUTATORCONTAINER_TITLE : string ;
  let PROCEDURES_MUTATORCONTAINER_TOOLTIP : string ;
  let REDO : string ;
  let REMOVE_COMMENT : string ;
  let RENAME_VARIABLE : string ;
  let RENAME_VARIABLE_TITLE : string ;
  let TEXTS_HUE : string ;
  let TEXT_APPEND_HELPURL : string ;
  let TEXT_APPEND_TITLE : string ;
  let TEXT_APPEND_TOOLTIP : string ;
  let TEXT_APPEND_VARIABLE : string ;
  let TEXT_CHANGECASE_HELPURL : string ;
  let TEXT_CHANGECASE_OPERATOR_LOWERCASE : string ;
  let TEXT_CHANGECASE_OPERATOR_TITLECASE : string ;
  let TEXT_CHANGECASE_OPERATOR_UPPERCASE : string ;
  let TEXT_CHANGECASE_TOOLTIP : string ;
  let TEXT_CHARAT_FIRST : string ;
  let TEXT_CHARAT_FROM_END : string ;
  let TEXT_CHARAT_FROM_START : string ;
  let TEXT_CHARAT_HELPURL : string ;
  let TEXT_CHARAT_LAST : string ;
  let TEXT_CHARAT_RANDOM : string ;
  let TEXT_CHARAT_TAIL : string ;
  let TEXT_CHARAT_TITLE : string ;
  let TEXT_CHARAT_TOOLTIP : string ;
  let TEXT_COUNT_HELPURL : string ;
  let TEXT_COUNT_MESSAGE0 : string ;
  let TEXT_COUNT_TOOLTIP : string ;
  let TEXT_CREATE_JOIN_ITEM_TITLE_ITEM : string ;
  let TEXT_CREATE_JOIN_ITEM_TOOLTIP : string ;
  let TEXT_CREATE_JOIN_TITLE_JOIN : string ;
  let TEXT_CREATE_JOIN_TOOLTIP : string ;
  let TEXT_GET_SUBSTRING_END_FROM_END : string ;
  let TEXT_GET_SUBSTRING_END_FROM_START : string ;
  let TEXT_GET_SUBSTRING_END_LAST : string ;
  let TEXT_GET_SUBSTRING_HELPURL : string ;
  let TEXT_GET_SUBSTRING_INPUT_IN_TEXT : string ;
  let TEXT_GET_SUBSTRING_START_FIRST : string ;
  let TEXT_GET_SUBSTRING_START_FROM_END : string ;
  let TEXT_GET_SUBSTRING_START_FROM_START : string ;
  let TEXT_GET_SUBSTRING_TAIL : string ;
  let TEXT_GET_SUBSTRING_TOOLTIP : string ;
  let TEXT_INDEXOF_HELPURL : string ;
  let TEXT_INDEXOF_OPERATOR_FIRST : string ;
  let TEXT_INDEXOF_OPERATOR_LAST : string ;
  let TEXT_INDEXOF_TITLE : string ;
  let TEXT_INDEXOF_TOOLTIP : string ;
  let TEXT_ISEMPTY_HELPURL : string ;
  let TEXT_ISEMPTY_TITLE : string ;
  let TEXT_ISEMPTY_TOOLTIP : string ;
  let TEXT_JOIN_HELPURL : string ;
  let TEXT_JOIN_TITLE_CREATEWITH : string ;
  let TEXT_JOIN_TOOLTIP : string ;
  let TEXT_LENGTH_HELPURL : string ;
  let TEXT_LENGTH_TITLE : string ;
  let TEXT_LENGTH_TOOLTIP : string ;
  let TEXT_PRINT_HELPURL : string ;
  let TEXT_PRINT_TITLE : string ;
  let TEXT_PRINT_TOOLTIP : string ;
  let TEXT_PROMPT_HELPURL : string ;
  let TEXT_PROMPT_TOOLTIP_NUMBER : string ;
  let TEXT_PROMPT_TOOLTIP_TEXT : string ;
  let TEXT_PROMPT_TYPE_NUMBER : string ;
  let TEXT_PROMPT_TYPE_TEXT : string ;
  let TEXT_REPLACE_HELPURL : string ;
  let TEXT_REPLACE_MESSAGE0 : string ;
  let TEXT_REPLACE_TOOLTIP : string ;
  let TEXT_REVERSE_HELPURL : string ;
  let TEXT_REVERSE_MESSAGE0 : string ;
  let TEXT_REVERSE_TOOLTIP : string ;
  let TEXT_TEXT_HELPURL : string ;
  let TEXT_TEXT_TOOLTIP : string ;
  let TEXT_TRIM_HELPURL : string ;
  let TEXT_TRIM_OPERATOR_BOTH : string ;
  let TEXT_TRIM_OPERATOR_LEFT : string ;
  let TEXT_TRIM_OPERATOR_RIGHT : string ;
  let TEXT_TRIM_TOOLTIP : string ;
  let TODAY : string ;
  let UNDO : string ;
  let UNNAMED_KEY : string ;
  let VARIABLES_DEFAULT_NAME : string ;
  let VARIABLES_DYNAMIC_HUE : string ;
  let VARIABLES_GET_CREATE_SET : string ;
  let VARIABLES_GET_HELPURL : string ;
  let VARIABLES_GET_TOOLTIP : string ;
  let VARIABLES_HUE : string ;
  let VARIABLES_SET : string ;
  let VARIABLES_SET_CREATE_GET : string ;
  let VARIABLES_SET_HELPURL : string ;
  let VARIABLES_SET_TOOLTIP : string ;
  let VARIABLE_ALREADY_EXISTS : string ;
  let VARIABLE_ALREADY_EXISTS_FOR_ANOTHER_TYPE : string ;
  let WORKSPACE_ARIA_LABEL : string ;
  let WORKSPACE_COMMENT_DEFAULT_TEXT : string ;
}

